summaryrefslogtreecommitdiffstats
path: root/trunk/testsuite/cxx1.sh
diff options
context:
space:
mode:
Diffstat (limited to 'trunk/testsuite/cxx1.sh')
-rwxr-xr-xtrunk/testsuite/cxx1.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/trunk/testsuite/cxx1.sh b/trunk/testsuite/cxx1.sh
index a48cc65..c99f198 100755
--- a/trunk/testsuite/cxx1.sh
+++ b/trunk/testsuite/cxx1.sh
@@ -11,8 +11,9 @@ savelibs
echo $PRELINK -vvvv ${PRELINK_OPTS--vm} ./cxx1 > cxx1.log
$PRELINK -vvvv ${PRELINK_OPTS--vm} ./cxx1 >> cxx1.log 2>&1 || exit 1
grep ^`echo $PRELINK | sed 's/ .*$/: /'` cxx1.log | grep -q -v 'C++ conflict' && exit 2
-LD_LIBRARY_PATH=. ./cxx1 || exit 3
-readelf -a ./cxx1 >> cxx1.log 2>&1 || exit 4
+[ $( grep ^`echo $PRELINK | sed 's/ .*$/: /'` cxx1.log | grep 'Removing C++ conflict' | wc -l ) -ge 5 ] || exit 3
+LD_LIBRARY_PATH=. ./cxx1 || exit 4
+readelf -a ./cxx1 >> cxx1.log 2>&1 || exit 5
# So that it is not prelinked again
chmod -x ./cxx1
-comparelibs >> cxx1.log 2>&1 || exit 5
+comparelibs >> cxx1.log 2>&1 || exit 6